Download an agent policy
Server:
https://{kibana_url}
- GET /api/fleet/agent_policies/{agentPolicyId}/download
Download an agent policy by ID.
[Required authorization] Route required privileges: fleet-agent-policies-read OR fleet-setup.
Path Parameters
-
agentPolicyIdstringrequired -
The ID of the agent policy
Query Parameters
-
downloadboolean If true, returns the policy as a downloadable file
-
standaloneboolean If true, returns the policy formatted for standalone agents
-
kubernetesboolean If true, returns the policy formatted for Kubernetes deployment
-
revisionnumber If provided, returns the policy at the specified revision. Cannot be used with standalone or kubernetes flags.
Responses
Successful response — returns the agent policy as a YAML file download
Response Type: string
Bad Request
-
attributesobjectrequired -
errorstring -
errorTypestring -
messagestringrequired -
statusCodenumber
Not Found
-
attributesobjectrequired -
errorstring -
errorTypestring -
messagestringrequired -
statusCodenumber